/*
  Copyright (C) 2000-2003 SKYRIX Software AG

  This file is part of OGo

  OGo is free software; you can redistribute it and/or modify it under
  the terms of the GNU Lesser General Public License as published by the
  Free Software Foundation; either version 2, or (at your option) any
  later version.

  OGo is distributed in the hope that it will be useful, but WITHOUT ANY
  WARRANTY; without even the implied warranty of MERCHANTABILITY or
  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public
  License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with OGo; see the file COPYING.  If not, write to the
  Free Software Foundation, 59 Temple Place - Suite 330, Boston, MA
  02111-1307, USA.
*/
// $Id: ODR_bind_fieldset.h,v 1.2 2003/07/11 17:12:51 jan Exp $

/*
  attributes:

    <fieldset>:
    
       labelcolor   - bgColor of label-td
       contentcolor - bgColor of content-td
       labelwidth   - width   of label-td
       fontcolor    - font color of labelstrings
       fontsize     - font size  of labelstrings
       fontface     - font face  of labelstrings

    <field>:

       label        - label string

  structure:

    <var:fieldset>
    
       <var:field label="label string">
         <var:label>label content</var:label>
         < ... some content ...>
       </var:field>

       ...
       
    </var:fieldset>

*/

#ifndef __NGObjDOM_ODR_bind_fieldset_h__
#define __NGObjDOM_ODR_bind_fieldset_h__

#include <NGObjDOM/ODNodeRenderer.h>

@interface ODR_bind_fieldset : ODNodeRenderer
@end

#endif /* __NGObjDOM_ODR_bind_fieldset_h__ */
