// $Id: OFSFolderDataSource.h,v 1.1 2003/10/11 12:35:07 helge Exp $

#ifndef __SoOFS_OFSFolderDataSource_H__
#define __SoOFS_OFSFolderDataSource_H__

#include <EOControl/EODataSource.h>

@class EOFetchSpecification;

@interface OFSFolderDataSource : EODataSource < NSCopying >
{
  EOFetchSpecification *fetchSpecification;
  id folder;
}

+ (id)dataSourceOnFolder:(id)_folder;

/* accessors */

- (void)setFetchSpecification:(EOFetchSpecification *)_fspec;
- (EOFetchSpecification *)fetchSpecification;

@end

#endif /* __SoOFS_OFSFolderDataSource_H__ */
